Loading...
Searching...
No Matches
hwcontext_amf.h File Reference
`#include "pixfmt.h"`
`#include "hwcontext.h"`
`#include <AMF/core/Factory.h>`
`#include <AMF/core/Context.h>`
`#include <AMF/core/Trace.h>`
`#include <AMF/core/Debug.h>`

Go to the source code of this file.

## Data Structures

struct | AVAMFDeviceContext
| This struct is allocated as AVHWDeviceContext.hwctx. More...

## Functions

enum AMF_SURFACE_FORMAT | av_av_to_amf_format (enum AVPixelFormat fmt)
enum AVPixelFormat | av_amf_to_av_format (enum AMF_SURFACE_FORMAT fmt)

## Function Documentation

## av_av_to_amf_format()

enum AMF_SURFACE_FORMAT av_av_to_amf_format | ( | enum AVPixelFormat | fmt | ) |

## av_amf_to_av_format()

enum AVPixelFormat av_amf_to_av_format | ( | enum AMF_SURFACE_FORMAT | fmt | ) |